# eric6.WebBrowser.WebInspector

Module implementing a QWebEngineView to load the web inspector in.

### Global Attributes

_VIEWS

### Classes

WebInspector | Class implementing a QWebEngineView to load the web inspector in.

### Functions

pushView | Function to push a view to the front of the list.
registerView | Function to register a view.
unregisterView | Function to unregister a view.

## WebInspector

Class implementing a QWebEngineView to load the web inspector in.

### Derived from

QWebEngineView

### Class Attributes

None

### Class Methods

None

### Methods

WebInspector | Constructor
__inspectorReplyFinished | Private slot handling the reply.
__loadFinished | Private slot handling the finished signal.
__reloadGeometry | Private method to restore the geometry.
closeEvent | Protected method to save the geometry when closed.
inspectElement | Public method to inspect an element.
isEnabled | Public method to check, if the web inspector is enabled.
setView | Public method to connect a view to this inspector.

### Static Methods

None

#### WebInspector (Constructor)

WebInspector(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### WebInspector.__inspectorReplyFinished

__inspectorReplyFinished()

Private slot handling the reply.

#### WebInspector.__loadFinished

__loadFinished()

Private slot handling the finished signal.

#### WebInspector.__reloadGeometry

__reloadGeometry()

Private method to restore the geometry.

#### WebInspector.closeEvent

closeEvent(evt)

Protected method to save the geometry when closed.

evt (QCloseEvent)
  event object

#### WebInspector.inspectElement

inspectElement()

Public method to inspect an element.

#### WebInspector.isEnabled

isEnabled()

Public method to check, if the web inspector is enabled.

Returns:
  flag indicating the enabled state

Return Type:
  bool

#### WebInspector.setView

setView(view, inspectElement=False)

Public method to connect a view to this inspector.

view (WebBrowserView)
  reference to the view object
inspectElement (bool)
  flag indicating to start a web inspection

Up

## pushView

pushView(view)

Function to push a view to the front of the list.

view (WebBrowserView)
  reference to the view

Up

## registerView

registerView(view)

Function to register a view.

view (WebBrowserView)
  reference to the view

Up

## unregisterView

unregisterView(view)

Function to unregister a view.

view (WebBrowserView)
  reference to the view

Up